.projects {
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.myprojects_heading {
    align-self: flex-start;
    margin-left: 5%;
    margin-top: 1.5%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    font-family: var(--main-font);
    color: var(--secondary-color);
    font-size: 40px;
    font-weight: bold;
}

.projects_container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 95%;
    height: auto;
    margin-top: 2%;
    padding: 0%;
}

.projects_container_scroll {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    gap: 5%;
    width: 100%;
    height: auto;
    margin: 0%;
    padding: 0px 20px 20px 20px;
    overflow-x: auto;
    scrollbar-width: thin;
    scroll-behavior: smooth;
    scrollbar-color: var(--primary-color) transparent; 
}

.project_card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    flex-shrink: 0;
    width: 380px;
    height: 550px;
    background-color: var(--base-color);
    border: 4px solid var(--primary-color);
    border-radius: 10px;
    padding: 0%;
    box-shadow: 0px 10px 20px var(--shadow-color);
    transition: transform 0.3s ease-in-out;
}

.project_card:hover {
    transform: scale(1.01);
}

.project_image {
    width: 100%;
    height: 40%;
    object-fit: cover;
    border-top-left-radius: 4.8px;
    border-top-right-radius: 4.8px;
    margin: 0%;
}

.project_title {
    font-family: var(--master-font);
    font-weight: bolder;
    font-size: 40px;
    color: var(--primary-color);
    margin-top: 1%;
}

.project_description {
    font-family: var(--secondary-font);
    font-size: 20px;
    max-width: 90%;
    color: var(--primary-color);
    margin-top: 1%;
    text-align: center;
    margin-bottom: 0%;
}

.projects_card_btn_container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 5%;
    margin-top: 0%;
    width: 100%;
    height: 100%;
}

.project_btn {
    font-family: var(--secondary-font);
    font-size: 20px;
    color: var(--secondary-color);
    background-color: var(--primary-color);
    padding: 0%;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 40%;
    height: 70%;
    transition: background-color 0.3s ease-in-out;
}

.project_btn:hover {
    background-color: var(--projectbtn-hover-color);
}